/*
 * IfNode.h
 *
 *  Created on: Nov 18, 2012
 *      Author: attero
 */

#ifndef IFNODE_H_
#define IFNODE_H_

#include "ASTStatement.h"
#include "ASTExpression.h"

class IfNode : public ASTStatement
{
public:
	void add_condition(ASTExpression * expression);
	void add_body(ASTStatement * statement);
	void add_else_block(ASTStatement * statement);
	IfNode(ASTNode * parent);
	virtual ~IfNode();
};


#endif /* IFNODE_H_ */
